Bug 1416203 - [RFE] [EPIC] Containerized deployment of RHOSP HA components and services (tracker)
Summary: [RFE] [EPIC] Containerized deployment of RHOSP HA components and services (tr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M2
: 12.0 (Pike)
Assignee: RHOS Maint
QA Contact: nlevinki
URL:
Whiteboard:
Depends On: 1415556
Blocks: 1498728
TreeView+ depends on / blocked
 
Reported: 2017-01-24 20:55 UTC by Rob Young
Modified: 2018-02-05 19:04 UTC (History)
17 users (show)

Fixed In Version: puppet-tripleo-7.4.3-0.20171025110205.93a9217.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of: 1415556
: 1498728 (view as bug list)
Environment:
Last Closed: 2017-12-13 21:04:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:3462 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Description Rob Young 2017-01-24 20:55:53 UTC
Enable the deployment of the RHOSP HA reference architecture via containers.

Comment 1 Red Hat Bugzilla Rules Engine 2017-01-24 20:56:01 UTC
This bugzilla has been removed from the release and needs to be reviewed for targeting another release.

Comment 3 Rob Young 2017-03-14 20:34:34 UTC
Should be about to remove need info on this.

Comment 10 Chris Jones 2017-08-01 15:18:16 UTC
Update from comment #9

According to QE CI Phase1 does not include any HA deployments (1).
Confidence to delivery by 1st of Aug is moderate+ because we still don´t want to break single controller deployments.

Completed:

* Cinder HA patch has been merged

* HA Proxy patch to deploy containers in non-HA mode has been 
  merged.

* Upgrades are completed, minus one bug discovered after the merge:
  https://bugzilla.redhat.com/show_bug.cgi?id=1475404

* IPv6 was tested and it is working, missing 2 patches as noted 
  below.

* pacemaker_remote tests completed, missing 1 patch as noted below.

In Progress:

* SSL test

* missing minor updates. no patches available, no upstream 
  fully functional framework yet.
  We are currently a bit worried about minor updates as they might be 
  more complex for HA managed services than expected by the WIP generic
  framework.

* Attention required for missing patch for puppet-rabbit for v6 deployments. 
  patch posted upstream, pending merge. We will need to pull this one
  downstream only while upsteam takes its time to review/merge.
  Upstream doesn´t consider this one a priority.

* mysql client configuration. patch has been +2, pending CI run 
  that was broken by somebody adding 600 jobs (according to 
  Bandini) and they are all failing.

* one pcmk_remote patch in director needs merging.

* corosync running at RT schedule *outside* of containers.
  upstream patch has been merged to run corosync on BM as RT
  https://bugzilla.redhat.com/show_bug.cgi?id=1476214 (rhel7.5, pending 7.4.z 
  clone)

Comment 11 Fabio Massimo Di Nitto 2017-09-13 12:12:12 UTC
Quick update:

all patches are pretty much in or in POST.

The only reason why we are not moving this to POST is due to the minor update framework not being complete and that´s blocking the feature delivery.

Comment 12 Michele Baldessari 2017-09-20 06:53:39 UTC
Minor update is still on testing as we are waiting for the relevant patches to merge (an initial test with the unmerged patches for the minor workflow was successful). Once they merge we will do another set of tests

Comment 14 Michele Baldessari 2017-09-26 14:28:35 UTC
Pretty much all the stuff landed. There are a couple of bugs we're working on but the feature itself is complete.

Comment 16 Fabio Massimo Di Nitto 2017-11-07 10:44:53 UTC
According to the latest status, all the packages and patches are in an automatically generated puddle and we are not using manual patching any longer.

Comment 20 Omri Hochman 2017-11-29 16:33:50 UTC
verified OSP12 RC

Comment 23 errata-xmlrpc 2017-12-13 21:04:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.